# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja Multi-Config" Generator, CMake Version 3.30

# This file contains build statements specific to the "RelWithDebInfo"
# configuration.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: my_app2
# Configurations: Debug, Release, RelWithDebInfo
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.8


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = RelWithDebInfo
# =============================================================================
# Include auxiliary files.


#############################################
# Include common file.

include CMakeFiles/common.ninja

# =============================================================================
# Object build statements for EXECUTABLE target my_app2


#############################################
# Order-only phony target for my_app2

build cmake_object_order_depends_target_my_app2_RELWITHDEBINFO: phony || my_app2_autogen$:RelWithDebInfo

build CMakeFiles/my_app2.dir/RelWithDebInfo/my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp.obj: CXX_COMPILER__my_app2_unscanned_RelWithDebInfo C$:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp || cmake_object_order_depends_target_my_app2_RELWITHDEBINFO
  DEFINES = -DMINGW_HAS_SECURE_API=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NEEDS_QMAIN -DQT_NO_DEBUG -DQT_QML_DEBUG -DQT_WIDGETS_LIB -DUNICODE -DWIN32 -DWIN64 -D_ENABLE_EXTENDED_ALIGNED_STORAGE -D_UNICODE -D_WIN64 -DCMAKE_INTDIR=\"RelWithDebInfo\"
  DEP_FILE = CMakeFiles\my_app2.dir\RelWithDebInfo\my_app2_autogen\mocs_compilation_RelWithDebInfo.cpp.obj.d
  FLAGS = -O2 -g -DNDEBUG -std=gnu++17 -fdiagnostics-color=always
  INCLUDES = -IC:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/include_RelWithDebInfo -isystem C:/Qt/6.11.0/mingw_64/include/QtCore -isystem C:/Qt/6.11.0/mingw_64/include -isystem C:/Qt/6.11.0/mingw_64/mkspecs/win32-g++ -isystem C:/Qt/6.11.0/mingw_64/include/QtWidgets -isystem C:/Qt/6.11.0/mingw_64/include/QtGui
  OBJECT_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  OBJECT_FILE_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo\my_app2_autogen
  TARGET_COMPILE_PDB = CMakeFiles\my_app2.dir\RelWithDebInfo\
  TARGET_PDB = RelWithDebInfo\my_app2.pdb

build CMakeFiles/my_app2.dir/RelWithDebInfo/main.cpp.obj: CXX_COMPILER__my_app2_unscanned_RelWithDebInfo C$:/Users/USER/Documents/my_app2/main.cpp || cmake_object_order_depends_target_my_app2_RELWITHDEBINFO
  DEFINES = -DMINGW_HAS_SECURE_API=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NEEDS_QMAIN -DQT_NO_DEBUG -DQT_QML_DEBUG -DQT_WIDGETS_LIB -DUNICODE -DWIN32 -DWIN64 -D_ENABLE_EXTENDED_ALIGNED_STORAGE -D_UNICODE -D_WIN64 -DCMAKE_INTDIR=\"RelWithDebInfo\"
  DEP_FILE = CMakeFiles\my_app2.dir\RelWithDebInfo\main.cpp.obj.d
  FLAGS = -O2 -g -DNDEBUG -std=gnu++17 -fdiagnostics-color=always
  INCLUDES = -IC:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/include_RelWithDebInfo -isystem C:/Qt/6.11.0/mingw_64/include/QtCore -isystem C:/Qt/6.11.0/mingw_64/include -isystem C:/Qt/6.11.0/mingw_64/mkspecs/win32-g++ -isystem C:/Qt/6.11.0/mingw_64/include/QtWidgets -isystem C:/Qt/6.11.0/mingw_64/include/QtGui
  OBJECT_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  OBJECT_FILE_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  TARGET_COMPILE_PDB = CMakeFiles\my_app2.dir\RelWithDebInfo\
  TARGET_PDB = RelWithDebInfo\my_app2.pdb

build CMakeFiles/my_app2.dir/RelWithDebInfo/mainwindow.cpp.obj: CXX_COMPILER__my_app2_unscanned_RelWithDebInfo C$:/Users/USER/Documents/my_app2/mainwindow.cpp || cmake_object_order_depends_target_my_app2_RELWITHDEBINFO
  DEFINES = -DMINGW_HAS_SECURE_API=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NEEDS_QMAIN -DQT_NO_DEBUG -DQT_QML_DEBUG -DQT_WIDGETS_LIB -DUNICODE -DWIN32 -DWIN64 -D_ENABLE_EXTENDED_ALIGNED_STORAGE -D_UNICODE -D_WIN64 -DCMAKE_INTDIR=\"RelWithDebInfo\"
  DEP_FILE = CMakeFiles\my_app2.dir\RelWithDebInfo\mainwindow.cpp.obj.d
  FLAGS = -O2 -g -DNDEBUG -std=gnu++17 -fdiagnostics-color=always
  INCLUDES = -IC:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/include_RelWithDebInfo -isystem C:/Qt/6.11.0/mingw_64/include/QtCore -isystem C:/Qt/6.11.0/mingw_64/include -isystem C:/Qt/6.11.0/mingw_64/mkspecs/win32-g++ -isystem C:/Qt/6.11.0/mingw_64/include/QtWidgets -isystem C:/Qt/6.11.0/mingw_64/include/QtGui
  OBJECT_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  OBJECT_FILE_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  TARGET_COMPILE_PDB = CMakeFiles\my_app2.dir\RelWithDebInfo\
  TARGET_PDB = RelWithDebInfo\my_app2.pdb


# =============================================================================
# Link build statements for EXECUTABLE target my_app2


#############################################
# Link the executable RelWithDebInfo\my_app2.exe

build RelWithDebInfo/my_app2.exe: CXX_EXECUTABLE_LINKER__my_app2_RelWithDebInfo CMakeFiles/my_app2.dir/RelWithDebInfo/my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp.obj CMakeFiles/my_app2.dir/RelWithDebInfo/main.cpp.obj CMakeFiles/my_app2.dir/RelWithDebInfo/mainwindow.cpp.obj | C$:/Qt/6.11.0/mingw_64/lib/libQt6Widgets.a C$:/Qt/6.11.0/mingw_64/lib/libQt6Gui.a C$:/Qt/6.11.0/mingw_64/lib/libQt6Core.a C$:/Qt/6.11.0/mingw_64/lib/libQt6EntryPoint.a || my_app2_autogen$:RelWithDebInfo
  FLAGS = -O2 -g -DNDEBUG
  LINK_FLAGS = -mwindows
  LINK_LIBRARIES = C:/Qt/6.11.0/mingw_64/lib/libQt6Widgets.a  C:/Qt/6.11.0/mingw_64/lib/libQt6Gui.a  C:/Qt/6.11.0/mingw_64/lib/libQt6Core.a  -lmpr  -luserenv  -lmingw32  C:/Qt/6.11.0/mingw_64/lib/libQt6EntryPoint.a  -lshell32  -ld3d11  -ldxgi  -ldxguid  -ld3d12  -lkernel32 -luser32 -lgdi32 -lwinspool -lshell32 -lole32 -loleaut32 -luuid -lcomdlg32 -ladvapi32
  OBJECT_DIR = CMakeFiles\my_app2.dir\RelWithDebInfo
  POST_BUILD = cd .
  PRE_LINK = cd .
  TARGET_COMPILE_PDB = CMakeFiles\my_app2.dir\RelWithDebInfo\
  TARGET_FILE = RelWithDebInfo\my_app2.exe
  TARGET_IMPLIB = RelWithDebInfo\libmy_app2.dll.a
  TARGET_PDB = RelWithDebInfo\my_app2.pdb


#############################################
# Utility command for my_app2_autogen_timestamp_deps

build my_app2_autogen_timestamp_deps$:RelWithDebInfo: phony


#############################################
# Utility command for my_app2_autogen

build my_app2_autogen$:RelWithDebInfo: phony CMakeFiles/my_app2_autogen-RelWithDebInfo my_app2_autogen/include_RelWithDebInfo/ui_mainwindow.h my_app2_autogen/timestamp_RelWithDebInfo my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp my_app2_autogen_timestamp_deps$:RelWithDebInfo


#############################################
# Phony custom command for CMakeFiles\my_app2_autogen-RelWithDebInfo

build CMakeFiles/my_app2_autogen-RelWithDebInfo my_app2_autogen/include_RelWithDebInfo/ui_mainwindow.h | ${cmake_ninja_workdir}CMakeFiles/my_app2_autogen-RelWithDebInfo ${cmake_ninja_workdir}my_app2_autogen/include_RelWithDebInfo/ui_mainwindow.h: phony my_app2_autogen/timestamp_RelWithDebInfo || my_app2_autogen_timestamp_deps$:RelWithDebInfo


#############################################
# Custom command for my_app2_autogen\timestamp_RelWithDebInfo

build my_app2_autogen/timestamp_RelWithDebInfo my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp | ${cmake_ninja_workdir}my_app2_autogen/timestamp_RelWithDebInfo ${cmake_ninja_workdir}my_app2_autogen/mocs_compilation_RelWithDebInfo.cpp: CUSTOM_COMMAND C$:/Qt/6.11.0/mingw_64/bin/moc.exe C$:/Qt/6.11.0/mingw_64/bin/uic.exe || my_app2_autogen_timestamp_deps$:RelWithDebInfo
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D C:\Users\USER\Documents\my_app2\build\Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa\qtc_Ninja_Multi_Config && C:\Qt\Tools\CMake_64\bin\cmake.exe -E cmake_autogen C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/CMakeFiles/my_app2_autogen.dir/AutogenInfo.json RelWithDebInfo && C:\Qt\Tools\CMake_64\bin\cmake.exe -E touch C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/timestamp_RelWithDebInfo && C:\Qt\Tools\CMake_64\bin\cmake.exe -E cmake_transform_depfile "Ninja Multi-Config" gccdepfile C:/Users/USER/Documents/my_app2 C:/Users/USER/Documents/my_app2 C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/my_app2_autogen/deps_RelWithDebInfo C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config/CMakeFiles/d/b4548a03a8b85c6907d30b7399bcc936bb1a0c581f2bba19c05ab611c85879c8.d"
  DESC = Automatic MOC and UIC for target my_app2
  depfile = CMakeFiles\d\b4548a03a8b85c6907d30b7399bcc936bb1a0c581f2bba19c05ab611c85879c8.d
  deps = gcc
  restat = 1

build my_app2.exe$:RelWithDebInfo: phony RelWithDebInfo/my_app2.exe

build my_app2$:RelWithDebInfo: phony RelWithDebInfo/my_app2.exe


#############################################
# Folder: C:/Users/USER/Documents/my_app2/build/Desktop_Qt_6_11_0_MinGW_64_bit-Debugowa/qtc_Ninja_Multi_Config

build all$:RelWithDebInfo: phony RelWithDebInfo/my_app2.exe


#############################################
# Clean all the built files.

build clean$:RelWithDebInfo: CLEAN CMakeFiles/clean.additional$:RelWithDebInfo
  FILE_ARG = -f CMakeFiles/impl-RelWithDebInfo.ninja
  TARGETS = CMakeFiles/cmake_byproducts_for_clean_target:RelWithDebInfo CMakeFiles/cmake_byproducts_for_clean_target

